Package org.opensaml.xmlsec.signature

# Interface KeyValue

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `KeyValueImpl`

public interface KeyValue extends XMLObject
XMLObject representing XML Digital Signature, version 20020212, KeyValue element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`DHKeyValue`
`getDHKeyValue()`
Get the DHKeyValue child element.
`DSAKeyValue`
`getDSAKeyValue()`
Get the DSAKeyValue child element.
`ECKeyValue`
`getECKeyValue()`
Get the ECKeyValue child element.
`RSAKeyValue`
`getRSAKeyValue()`
Get the RSAKeyValue child element.
`XMLObject`
`getUnknownXMLObject()`
Get the wildcard <any> XMLObject child element.
`void`
`setDHKeyValue(DHKeyValue newDHKeyValue)`
Set the DHKeyValue child element.
`void`
`setDSAKeyValue(DSAKeyValue newDSAKeyValue)`
Set the DSAKeyValue child element.
`void`
`setECKeyValue(ECKeyValue newECKeyValue)`
Set the ECKeyValue child element.
`void`
`setRSAKeyValue(RSAKeyValue newRSAKeyValue)`
Set the RSAKeyValue child element.
`void`
`setUnknownXMLObject(XMLObject newXMLObject)`
Set the wildcard <any> XMLObject child element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getDSAKeyValue

@Nullable DSAKeyValue getDSAKeyValue()
Get the DSAKeyValue child element.

Returns:
  DSAKeyValue child element

### setDSAKeyValue

void setDSAKeyValue(@Nullable DSAKeyValue newDSAKeyValue)
Set the DSAKeyValue child element.

Parameters:
  `newDSAKeyValue` - the new DSAKeyValue child element

### getRSAKeyValue

@Nullable RSAKeyValue getRSAKeyValue()
Get the RSAKeyValue child element.

Returns:
  the RSAKeyValue child element

### setRSAKeyValue

void setRSAKeyValue(@Nullable RSAKeyValue newRSAKeyValue)
Set the RSAKeyValue child element.

Parameters:
  `newRSAKeyValue` - the new RSAKeyValue child element

### getECKeyValue

@Nullable ECKeyValue getECKeyValue()
Get the ECKeyValue child element.

Returns:
  the ECKeyValue child element

### setECKeyValue

void setECKeyValue(@Nullable ECKeyValue newECKeyValue)
Set the ECKeyValue child element.

Parameters:
  `newECKeyValue` - the new ECKeyValue child element

### getDHKeyValue

@Nullable DHKeyValue getDHKeyValue()
Get the DHKeyValue child element.

Returns:
  DHKeyValue child element

### setDHKeyValue

void setDHKeyValue(@Nullable DHKeyValue newDHKeyValue)
Set the DHKeyValue child element.

Parameters:
  `newDHKeyValue` - the new DHKeyValue child element

### getUnknownXMLObject

@Nullable XMLObject getUnknownXMLObject()
Get the wildcard <any> XMLObject child element.

Returns:
  the wildcard XMLObject child element

### setUnknownXMLObject

void setUnknownXMLObject(@Nullable XMLObject newXMLObject)
Set the wildcard <any> XMLObject child element.

Parameters:
  `newXMLObject` - the wildcard XMLObject child element